# Class TableRowHeightAttributes

#### Hierarchy (view full)

- XmlAttributeComponent<{
  rule: typeof HeightRule[keyof typeof HeightRule];
  value: number | string;
  }>
  - TableRowHeightAttributes

- Defined in file/table/table-row/table-row-height.ts:25

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new TableRowHeightAttributes(root): TableRowHeightAttributes

- #### Parameters

  - root: {
    rule: "auto" | "atLeast" | "exact";
    value: string | number;
    }

    - ##### `Readonly` rule: "auto" | "atLeast" | "exact"

    - ##### `Readonly` value: string | number

  #### Returns TableRowHeightAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:13

## Methods

### prepForXml

- prepForXml(_): IXmlableObject

- #### Parameters

  - _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:17

Generated using TypeDoc